// SeznamDlg.cpp : implementation file
//

#include "stdafx.h"
#include "m26.h"
#include "SeznamDlg.h"

#include "rodina.h"
#include "newosobadlg.h"
#include "osoba.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSeznamDlg dialog


CSeznamDlg::CSeznamDlg(CRodina *rod, CWnd* pParent /*=NULL*/)
	: CDialog(CSeznamDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSeznamDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

	m_prodina=rod;
}


void CSeznamDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSeznamDlg)
	DDX_Control(pDX, IDC_LIST, m_list);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSeznamDlg, CDialog)
	//{{AFX_MSG_MAP(CSeznamDlg)
	ON_LBN_DBLCLK(IDC_LIST, OnDblclkList)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSeznamDlg message handlers

void CSeznamDlg::OnDblclkList() 
{
	// TODO: Add your control notification handler code here
	int sel=m_list.GetCurSel();
	if(sel)
	{
		COsoba *obj=(COsoba*)m_list.GetItemDataPtr(sel);

		CNewOsobaDlg dlg;

		dlg.m_jmeno=obj->m_jmeno;
		dlg.m_narozeni=obj->m_narozeni;
		dlg.m_pohlavi=obj->m_pohlavi=='M'?0:1;
		dlg.m_prijmeni=obj->m_prijmeni;
		dlg.m_umrti=obj->m_umrti;

		if(dlg.DoModal()==IDOK)
		{
			obj->m_jmeno=dlg.m_jmeno;
			obj->m_narozeni=dlg.m_narozeni;
			obj->m_pohlavi=dlg.m_pohlavi?'Z':'M';
			obj->m_prijmeni=dlg.m_prijmeni;
			obj->m_umrti=dlg.m_umrti;

			obj->m_firstdraw=TRUE;
			Invalidate();
		}
	}
}

BOOL CSeznamDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here

	//naladujeme celou rodinu do seznamu
	POSITION pos=m_prodina->m_list.GetHeadPosition();
	while(pos)
	{
		COsoba *obj=(COsoba *)m_prodina->m_list.GetNext(pos);

		CString name;
		name.Format("%s %s",obj->m_jmeno,obj->m_prijmeni);
		int index=m_list.AddString(name);

		m_list.SetItemDataPtr(index,obj);
	}

	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
