// m26View.h : interface of the CM26View class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_M26VIEW_H__8C2677ED_803D_11D6_9ACF_0080AD0229B8__INCLUDED_)
#define AFX_M26VIEW_H__8C2677ED_803D_11D6_9ACF_0080AD0229B8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CM26View : public CScrollView
{
protected: // create from serialization only
	CM26View();
	DECLARE_DYNCREATE(CM26View)

// Attributes
public:
	CM26Doc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CM26View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CM26View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	COsoba * m_selected;
	//{{AFX_MSG(CM26View)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in m26View.cpp
inline CM26Doc* CM26View::GetDocument()
   { return (CM26Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_M26VIEW_H__8C2677ED_803D_11D6_9ACF_0080AD0229B8__INCLUDED_)
