// m26Doc.h : interface of the CM26Doc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_M26DOC_H__8C2677EB_803D_11D6_9ACF_0080AD0229B8__INCLUDED_)
#define AFX_M26DOC_H__8C2677EB_803D_11D6_9ACF_0080AD0229B8__INCLUDED_

#include "Rodina.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CM26Doc : public CDocument
{
protected: // create from serialization only
	CM26Doc();
	DECLARE_DYNCREATE(CM26Doc)

// Attributes
public:
		BOOL m_firstdraw;
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CM26Doc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	void Save(CArchive &ar);
	void Load(CArchive &ar);
	CRodina m_rodina;
	virtual ~CM26Doc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:

	TCHAR * LoadBeforeTag(TCHAR *data, TCHAR *tagname);
	TCHAR * ParseOsoba(TCHAR *data);
	TCHAR * LoadUntilTag(TCHAR *data,TCHAR *tagname);
	TCHAR * ParseTag(TCHAR *data, TCHAR *name, DWORD size);
	TCHAR * ParseDocument(TCHAR *data);
	TCHAR * ParseRodokmen(TCHAR *data);
	//{{AFX_MSG(CM26Doc)
	afx_msg void OnRodinaAddperson();
	afx_msg void OnRodinaSeznam();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_M26DOC_H__8C2677EB_803D_11D6_9ACF_0080AD0229B8__INCLUDED_)
